## org.omg.CORBA
Class OpDescriptionSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.OpDescriptionSeqHelper

public class OpDescriptionSeqHelper
extends java.lang.Object

Helper class for : OpDescriptionSeq

Author:
  OpenORB Compiler

Constructor Summary
`OpDescriptionSeqHelper()`

Method Summary
`static OperationDescription[]` `extract(Any a)` Extract OpDescriptionSeq from an any
`static java.lang.String` `id()` Return the OpDescriptionSeq IDL ID
`static void` `insert(Any a, OperationDescription[] t)` Insert OpDescriptionSeq into an any
`static OperationDescription[]` `read(InputStream istream)` Read OpDescriptionSeq from a marshalled stream
`static TypeCode` `type()` Return the OpDescriptionSeq TypeCode
`static void` `write(OutputStream ostream, OperationDescription[] value)` Write OpDescriptionSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpDescriptionSeqHelper

    public OpDescriptionSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              OperationDescription[] t)

  Insert OpDescriptionSeq into an any
  Parameters:
    `a` - an any
    `t` - OpDescriptionSeq value

### extract

    public static OperationDescription[] extract(Any a)

  Extract OpDescriptionSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OpDescriptionSeq value

### type

    public static TypeCode type()

  Return the OpDescriptionSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OpDescriptionSeq IDL ID
  Returns:
    an ID

### read

    public static OperationDescription[] read(InputStream istream)

  Read OpDescriptionSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OpDescriptionSeq value

### write

    public static void write(OutputStream ostream,
                             OperationDescription[] value)

  Write OpDescriptionSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OpDescriptionSeq value